=== debian/changelog ===
konqueror (4:24.12.3-0ubuntu4) plucky; urgency=medium

  * No changes rebuild for Qt 6.8.3

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Apr 2025 21:38:16 +0100

konqueror (4:24.12.3-0ubuntu3) plucky; urgency=medium

  * Update apparmor to Qt6. 

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 30 Mar 2025 05:30:52 -0700

konqueror (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Install konqsidebar translations.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 09:42:08 +0000

konqueror (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:45:57 +0000

konqueror (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:07:10 +0000

konqueror (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:05:20 -0600
