=== pics/indicators/CMakeLists.txt ===

install( FILES indicator_connect.png  	indicator_noconnect.png indicator_empty.png indicator_viewactive.png  DESTINATION  ${KDE_INSTALL_DATADIR}/konqueror/pics )
