=== debian/changelog ===
konqueror (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit: Disable functionality related to running
    activities when compiling with Plasma 6.5. [a33e34c7]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Oct 2025 18:29:05 +0200

konqueror (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update the list of installed files.
  * Switch to KF6 debhelper build sequence.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.2, no change required.
  * Fix lists in package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:55 +0200
