=== libkonq/src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
    htmlsettingsinterface.cpp
    textextension.cpp
    interfaces/browser.cpp
+   interfaces/window.cpp
    interfaces/cookiejar.cpp
    interfaces/common.h
    interfaces/downloadjob.cpp
