=== doc/kcontrol/khtml-behavior/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol${KF_MAJOR_VERSION}/khtml-behavior)
