=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               dh-exec,
               hunspell,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcmutils-dev,
               kf6-kcrash-dev,
               kf6-kdesu-dev,
               kf6-kdoctools-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               libtidy-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/konqueror.git
Vcs-Browser: https://invent.kde.org/neon/kde/konqueror
Maintainer: Neon CI <neon@kde.org>

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins
Description: File manager, web browser and document viewer
 Konqueror is a KDE web browser and file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
