## konqueror 25.08.1+p24.04+vstable+git20250928.1344

=== debian/changelog ===
konqueror (4:25.08.1+p24.04+vstable+git20250928.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:45:00 +0000
