## konqueror 25.08.1+p24.04+vstable+git20251001.1223

=== debian/changelog ===
konqueror (4:25.08.1+p24.04+vstable+git20251001.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:24:00 +0000
